package de.fhg.iais.outdoor.simba.core;

import java.util.Vector;

public class PlugInManager {
	
	Vector mPlugIns = new Vector();
	
	public PlugInManager() {
		
	}
	
	/**
	 * Loads all PlugIns and installs them to the system.
	 * 
	 * @return true if all PlugIns could be loaded successfully.
	 */
	public boolean loadPlugIns() {
		boolean ok = true;
		
		//loadPlugIns("./FitnessFunctions");
		loadPlugIns("./SimulatorComponents");
		//loadPlugIns("./Controllers");
		
		return ok;
	}
	
	protected boolean loadPlugIns(String directory) {
		boolean ok = true;
		
		return ok;
	}
	
	/**
	 * Adds a new PlugIn to the PlugInManager. This method is used when
	 * PlugIns are loaded automatically by the PlugInManager, but it can
	 * also be used manually to install PlugIns by hand.
	 * 
	 * All PlugIns that were added before the call to installPlugIns are
	 * considered during installation.
	 * 
	 * @param plugIn the plugIn to add to the PlugInManager.
	 * @return true if successful.
	 */
	public boolean addPlugIn(PlugIn plugIn) {
		if(plugIn == null || mPlugIns.contains(plugIn)) {
			return false;
		}
		mPlugIns.add(plugIn);
		return true;
	}
	
	/**
	 * Install all previously loaded PlugIns to the system.
	 * @return true if the installation of all PlugIns was successful.
	 */
	public boolean installPlugIns() {
		boolean ok = true;
		
		return ok;
	}
	
	
	

}
