package de.fhg.iais.outdoor.simba.evolution;

public abstract class EvaluationMethod {

	private String mName; 
	
	public EvaluationMethod(String name) {
		mName = name;
	}
	
	public abstract void evaluateIndividual(EvolutionIndividual individual, int individualId);
	public abstract void prepareNextGeneration(int generationId);
	
	public String getName() {
		return mName;
	}
	
}
