package de.fhg.iais.outdoor.simba.neuralnet;

public class TransferFunctionRamp extends TransferFunction {

	public TransferFunctionRamp() {
		super("ramp");
	}
	
	public double getLowerBound() {
		return 0.0;
	}

	public double getUpperBound() {
		return 1.0;
	}

	public double transferActivation(double activation) {
		return Math.max(0.0, Math.min(1.0, activation));
	}

	
}
