package de.fhg.iais.outdoor.simba.neuralnet;

public class TransferFunctionSigmoid extends TransferFunction {


	public TransferFunctionSigmoid() {
		super("sigmoid");
	}

	public double transferActivation(double activation) {
		return (1.0 / (1 + Math.pow(Math.E, -1 * activation)));
	}

	public double getLowerBound() {
		return 0.0;
	}

	public double getUpperBound() {
		return 1.0;
	}
	
}
