package de.fhg.iais.outdoor.simba.neuralnet;

public class TransferFunctionSigmoid2 extends TransferFunction {

	public TransferFunctionSigmoid2() {
		super("sigmoid2");
	}

	public double getLowerBound() {
		return 0.0;
	}

	public double getUpperBound() {
		return 1.0;
	}

	public double transferActivation(double activation) {
		return (1.0 / (1 + Math.pow(Math.E, (-10 * activation) + 5)));
	}
	
	
}
