package de.fhg.iais.outdoor.simba.devices;

import java.awt.geom.Point2D;

public interface LightSource {
	
	/**
	 * Returns the brightness of the LightSource at the given point.
	 * @param globalPosition the position to check for brightness in global coordinates.
	 * @return the brightness at the given global position.
	 */
	public double getBrightness(Point2D.Double globalPosition);

}
