package de.fhg.iais.outdoor.simba.neuralnet;

public class TransferFunctionRamp2 extends TransferFunction {
	
	public TransferFunctionRamp2() {
		super("ramp[-1,1]");
	}

	public double getLowerBound() {
		return -1.0;
	}

	public double getUpperBound() {
		return 1.0;
	}

	public double transferActivation(double activation) {
		return Math.max(-1.0, Math.min(1.0, activation)); 
	}
	
	

}
