package de.fhg.iais.outdoor.simba.neuralnet;

public class TransferFunctionTanh extends TransferFunction {

	
	public TransferFunctionTanh() {
		super("tanh");
	}

	public double transferActivation(double activation) {
		return (2.0 / (Math.pow(Math.E, -2 * activation) + 1)) - 1;
	}
	
	public double getUpperBound() {
		return 1.0;
	}
	
	public double getLowerBound() {
		return -1.0;
	}
	
	
}
