package de.fhg.iais.outdoor.simba.statistic;

import de.fhg.iais.outdoor.simba.core.ParameterElement;

public abstract class StatisticCalculator extends ParameterElement {

	public StatisticCalculator(String name) {
		super(name, "/Statistics/" + name + "/");
	}
	
	//Called after the generation was completed. 
	//To listen to other events, use the common listener interfaces and ignore this method.
	public abstract void calculate();
	

	
}
