package de.fhg.iais.outdoor.simba.visualization;

import java.awt.BorderLayout;

import javax.swing.JPanel;

public class BorderLayoutVisualizationArea extends VisualizationArea {
	
	JPanel mPanel;
	
	public BorderLayoutVisualizationArea() {
		mPanel = new JPanel(new BorderLayout());
	}

	protected boolean installVisualization(Visualization visu, String  positionIdentifier) {
		mPanel.add(positionIdentifier, visu.getPanel());
		return true;
	}
	
	/**
	 * Returns the JPanel of the Visualization. 
	 */
	public JPanel getPanel() {
		return mPanel;
	}
	
	
	
}
