package de.fhg.iais.outdoor.simba.visualization;

import javax.swing.BoxLayout;
import javax.swing.JPanel;

public class BoxLayoutVisualizationArea extends VisualizationArea {

	JPanel mPanel;
	BoxLayout mBoxLayout;
	
	public BoxLayoutVisualizationArea() {
		this(BoxLayout.Y_AXIS);
	}
	
	
	public BoxLayoutVisualizationArea(int axis) {
		mPanel = new JPanel();
		mBoxLayout = new BoxLayout(mPanel, axis);
		mPanel.setLayout(mBoxLayout);
	}

	protected boolean installVisualization(Visualization visu, String  positionIdentifier) {
		mPanel.add(positionIdentifier, visu.getPanel());
		return true;
	}
	
	/**
	 * Returns the JPanel of the Visualization. 
	 */
	public JPanel getPanel() {
		return mPanel;
	}
}
